3

Hi I'm kinda new to Ubuntu and have a problem. I don't have any internet on my pc and wanto install the libxml2-dev package to my system. I've gotten hold of a .deb file which I can open with the Software Centre buuuut, when I do that I get an error: Dependency is not satisfiable: libicu-dev. Here is the complete name of the .deb file I downloaded from LaunchPad site. libxml2-dev_2.9.2+dfsg_1-3_amd64.deb So can anyone help me install this package via .deb file format please.

1

Go to a system with Internet access and download libicu-dev via

wget http://mirrors.kernel.org/ubuntu/pool/main/i/icu/libicu-dev_52.1-8ubuntu0.2_amd64.deb

and install with

sudo dpkg -i libicu-dev_52.1-8ubuntu0.2_amd64.deb

Then install the libxml2-dev package again

sudo dpkg -i libxml2-dev_2.9.2+dfsg1-3_amd64.deb

However, it may be that you still need more packages. Unfortunately I can not say that because I do not know what you have already installed. But I think the way forward is clear. ;)

All packages are available here. Search the packages for Vivid (vivid and/or vivid-updates) and download the 64-bit versions. Use an USB stick and use this stick in your desktop system.

  • If you have further problems, give me a comment =) – A.B. Sep 17 '15 at 14:25
  • Ok that was thee fastest and only response I received in the past 2days. Thanks!!;) but as mentioned I don't have an internet connection on the desktop. Are there any official sites to download a tar package or deb file to install it manually? – Gene Smit Sep 17 '15 at 14:27
  • The wget command download the deb file and all packages are available here packages.ubuntu.com – A.B. Sep 17 '15 at 14:40
  • Updated my answer. – A.B. Sep 17 '15 at 14:44
  • 1
    Here: mirrors.kernel.org/ubuntu/pool/main/i/icu/… – A.B. Sep 17 '15 at 17:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.